Skip to main content
GET
/
reviews
/
templates
/
search
Search for review reply templates
curl --request GET \
  --url https://api.partoo.co/v2/reviews/templates/search \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/reviews/templates/search"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/reviews/templates/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 1,
  "max_page": 10,
  "count": 287,
  "reply_templates": [
    {
      "id": 34,
      "org_id": 42,
      "update_date": "2017-08-01T19:15:54.256000+02:00",
      "creation_date": "2017-08-01T19:15:54.256000+02:00",
      "language": "fr",
      "title": "<string>",
      "text": "hello @[](client_full_name),\nThanks from the team at @[](business_name).\n@[](my_first_name)",
      "negative": true,
      "neutral": true,
      "positive": true
    }
  ]
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

page
integer
default:1

Page number. Starts at 1. Any value lower than 1 will be considered as 1. For the number of items per page, see the per_page query parameter.

positive
boolean

Filter on templates made to answer positive reviews (ex from 4 to 5 stars on gmb).

neutral
boolean

Filter on templates made to answer neutral reviews (ex 3 stars on gmb).

negative
boolean

Filter on templates made to answer negative reviews (ex from 1 to 2 stars on gmb).

language__in
enum<string>[]

Filter on templates in the specified languages.

Available language in the application

Available options:
fr,
en,
es,
it,
pt-br,
de,
ar,
nl,
pl,
cs,
ca,
sk,
pt,
lv,
ro,
bg,
hu
Example:

"fr,it"

title_query
string

Filter on templates based on their title

text_query
string

Filter on templates based on their text

Response

OK

page
integer

Current page number

Example:

1

max_page
integer

Last page number

Example:

10

count
integer

Number of resources complying with filters

Example:

287

reply_templates
object[]

List of reply review templates